<?xml version="1.0" encoding="UTF-8" ?>
<AronTypeDefinition>
    <CodeIncludes>
    </CodeIncludes>
    <AronIncludes>
        <Include include="<RobotAPI/libraries/armem/aron/MemoryID.xml>" autoinclude="true"/>
    </AronIncludes>

    <GenerateTypes>

        <!--
        ToDo: Model regions. Ideas:
        - Polygon (convex, non-convex)
        -
        -->


        <Object name='armarx::navigation::location::arondto::ObjectRelativeLocation'>

            <ObjectChild key='objectInstanceID'>
                <armarx::armem::arondto::MemoryID />
            </ObjectChild>

            <ObjectChild key='relativeRobotPose'>
                <Pose />
            </ObjectChild>

        </Object>


        <Object name='armarx::navigation::location::arondto::Location'>

            <ObjectChild key='globalRobotPose'>
                <Pose />
            </ObjectChild>

            <ObjectChild key='relativeToObject'>
                <armarx::navigation::location::arondto::ObjectRelativeLocation optional="true" />
            </ObjectChild>

        </Object>

    </GenerateTypes>
</AronTypeDefinition>
